Install MariaDB error ? [SOLVED]

Issues related to applications and software problems and general support
Post Reply
User avatar
young_nandy
Posts: 33
Joined: 2019/09/30 01:28:15

Install MariaDB error ? [SOLVED]

Post by young_nandy » 2019/09/30 04:51:12

Hello,

I want to install MariaDB on CentOS 8. but it's always an error. is there any solution?

I see here
(https://downloads.mariadb.org/mariadb/r ... ion=10.4.8) does not yet support CentOS 8. but when I see it here (http: / /yum.mariadb.org/10.4.8/centos8-amd64/) already has an application.
Last edited by young_nandy on 2019/10/05 15:00:35, edited 1 time in total.

SystemadminEU
Posts: 14
Joined: 2017/07/31 13:05:47

Re: Install MariaDB error ?

Post by SystemadminEU » 2019/09/30 10:58:20

I have the same issue, the installer does not prompts an error, but no mysql service is installed.
I have tried both the "Stream" and "non stream 1905" version

I have also tried
sudo yum-config-manager --disable mysql57-community
sudo yum-config-manager --enable mysql80-community
sudo yum install mysql-community-server(it stops here and text simply reply "No match for argument")

And doing some basic error correcting I concluded that
MySQL 8.0.19
MySQL 8.0.18
Are not ready yet.
I believe the error is that MySQL does not support the OS atm and that I am to early to adopt Centos 8.

I also made a third clean minimal installation and typed
yum install mysql (I accepted the defaults)
No MySQL/Mysqld Service is reported.

[root@localhost ~]# yum deplist mysql
Last metadata expiration check: 0:40:51 ago on Mon 30 Sep 2019 11:40:41 CEST.
package: mysql-8.0.13-1.module_el8.0.0+41+ca30bab6.x86_64
dependency: bash
provider: bash-4.4.19-7.el8.i686
provider: bash-4.4.19-7.el8.x86_64
dependency: coreutils
provider: coreutils-8.30-6.el8.i686
provider: coreutils-8.30-6.el8.x86_64
dependency: grep
provider: grep-3.1-6.el8.i686
provider: grep-3.1-6.el8.x86_64
dependency: ld-linux-x86-64.so.2()(64bit)
provider: glibc-2.28-42.el8.1.x86_64
dependency: ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
provider: glibc-2.28-42.el8.1.x86_64
dependency: libc.so.6(GLIBC_2.28)(64bit)
provider: glibc-2.28-42.el8.1.x86_64
dependency: libcrypto.so.1.1()(64bit)
provider: openssl-libs-1:1.1.1-8.el8.x86_64
dependency: libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
provider: openssl-libs-1:1.1.1-8.el8.x86_64
dependency: libdl.so.2()(64bit)
provider: glibc-2.28-42.el8.1.x86_64
dependency: libdl.so.2(GLIBC_2.2.5)(64bit)
provider: glibc-2.28-42.el8.1.x86_64
dependency: libedit.so.0()(64bit)
provider: libedit-3.1-23.20170329cvs.el8.x86_64
dependency: libgcc_s.so.1()(64bit)
provider: libgcc-8.2.1-3.5.el8.x86_64
dependency: libgcc_s.so.1(GCC_3.0)(64bit)
provider: libgcc-8.2.1-3.5.el8.x86_64
dependency: liblz4.so.1()(64bit)
provider: lz4-libs-1.8.1.2-4.el8.x86_64
dependency: libm.so.6()(64bit)
provider: glibc-2.28-42.el8.1.x86_64
dependency: libpthread.so.0()(64bit)
provider: glibc-2.28-42.el8.1.x86_64
dependency: libpthread.so.0(GLIBC_2.2.5)(64bit)
provider: glibc-2.28-42.el8.1.x86_64
dependency: libpthread.so.0(GLIBC_2.3.2)(64bit)
provider: glibc-2.28-42.el8.1.x86_64
dependency: librt.so.1()(64bit)
provider: glibc-2.28-42.el8.1.x86_64
dependency: librt.so.1(GLIBC_2.2.5)(64bit)
provider: glibc-2.28-42.el8.1.x86_64
dependency: libssl.so.1.1()(64bit)
provider: openssl-libs-1:1.1.1-8.el8.x86_64
dependency: libssl.so.1.1(OPENSSL_1_1_0)(64bit)
provider: openssl-libs-1:1.1.1-8.el8.x86_64
dependency: libstdc++.so.6()(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libstdc++.so.6(CXXABI_1.3)(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libstdc++.so.6(CXXABI_1.3.5)(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libstdc++.so.6(GLIBCXX_3.4)(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libstdc++.so.6(GLIBCXX_3.4.14)(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libstdc++.so.6(GLIBCXX_3.4.18)(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libstdc++.so.6(GLIBCXX_3.4.19)(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libstdc++.so.6(GLIBCXX_3.4.20)(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libstdc++.so.6(GLIBCXX_3.4.21)(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
provider: libstdc++-8.2.1-3.5.el8.x86_64
dependency: libz.so.1()(64bit)
provider: zlib-1.2.11-10.el8.x86_64
dependency: mysql-common(x86-64) = 8.0.13-1.module_el8.0.0+41+ca30bab6
provider: mysql-common-8.0.13-1.module_el8.0.0+41+ca30bab6.x86_64
dependency: rtld(GNU_HASH)
provider: glibc-2.28-42.el8.1.i686
provider: glibc-2.28-42.el8.1.x86_64
[root@localhost ~]# systemctl status mysql
Unit mysql.service could not be found.
[root@localhost ~]# systemctl status mysqld
Unit mysqld.service could not be found.

Should there not be a
dependency: /bin/sh

When compiling a service??

User avatar
centminmod
Posts: 44
Joined: 2014/07/12 14:28:06
Location: Brisbane, Australia
Contact:

Re: Install MariaDB error ?

Post by centminmod » 2019/09/30 11:05:08

CentOS 8 already has native MariaDB support via yum within it's AppStream repository though it's a few versions behind at 10.3.11 compared to the MariaDB.org official yum mirror 10.3.18.

But there seems to be a bug I am seeing when trying to install MariaDB.org official yum mirror I reported it at https://jira.mariadb.org/browse/MDEV-20673 - the MariaDB-server package is missing from yum listing despite it being available when AppStream repository is enabled despite native MariaDB module being disabled. If you disable AppStream repo, then official MariaDB.org official MariaDB-server yum package does show up.

Found the issue as I am working on CentOS 8 compatibility for my Centmin Mod LEMP stack and outlining and working through the issues I find at https://community.centminmod.com/thread ... log.18372/

User avatar
young_nandy
Posts: 33
Joined: 2019/09/30 01:28:15

Re: Install MariaDB error ?

Post by young_nandy » 2019/10/04 08:53:18

finally the database has been updated

User avatar
young_nandy
Posts: 33
Joined: 2019/09/30 01:28:15

Re: Install MariaDB error ?

Post by young_nandy » 2019/10/04 11:32:25

still an error, is there a solution to install mariaDB ?

User avatar
centminmod
Posts: 44
Joined: 2014/07/12 14:28:06
Location: Brisbane, Australia
Contact:

Re: Install MariaDB error ?

Post by centminmod » 2019/10/04 17:50:22

You never actually shared what the exact errors were ?

User avatar
young_nandy
Posts: 33
Joined: 2019/09/30 01:28:15

Re: Install MariaDB error ?

Post by young_nandy » 2019/10/04 23:25:51

sorry for making it unclear. I think the error is the same as the others.

after making a repo according to this link

https://downloads.mariadb.org/mariadb/r ... rsion=10.4

# MariaDB 10.4 CentOS repository list - created 2019-10-04 23:02 UTC
# http://downloads.mariadb.org/mariadb/repositories/
[mariadb]
name = MariaDB
baseurl = http://yum.mariadb.org/10.4/centos8-amd64
gpgkey=https://yum.mariadb.org/RPM-GPG-KEY-MariaDB
gpgcheck=1

then I run the MariaDB installation process as below

[local@local ~]$ cd /etc/yum.repos.d/
[local@local yum.repos.d]$ ls
CentOS-AppStream.repo CentOS-Extras.repo CentOS-Vault.repo
CentOS-Base.repo CentOS-fasttrack.repo MariaDB.repo
CentOS-centosplus.repo CentOS-Media.repo nginx.repo
CentOS-CR.repo CentOS-PowerTools.repo
CentOS-Debuginfo.repo CentOS-Sources.repo
[local@local yum.repos.d]$ cat MariaDB.repo
[mariadb]
name=MariaDB
baseurl=http://yum.mariadb.org/10.4/centos8-amd64
gpgkey=https://yum.mariadb.org/RPM-GPG-KEY-MariaDB
gpgcheck=1

[local@local yum.repos.d]$ clear
[local@local yum.repos.d]$ sudo yum install MariaDB-server MariaDB-client
Last metadata expiration check: 0:00:46 ago on Sat 05 Oct 2019 06:15:20 AM WIB.
No match for argument: MariaDB-server
* Maybe you meant: mariadb-server
Error: Unable to find a match
[local@local yum.repos.d]$ sudo yum install mariadb-server MariaDB-client
Last metadata expiration check: 0:00:57 ago on Sat 05 Oct 2019 06:15:20 AM WIB.
Dependencies resolved.
================================================================================
Package Arch Version Repository
Size
================================================================================
Installing:
mariadb-server x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 16 M
MariaDB-client x86_64 10.4.8-1.el8 mariadb 12 M
Installing dependencies:
mariadb x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 6.2 M
mariadb-common x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 62 k
mariadb-connector-c
x86_64 3.0.7-1.el8 AppStream 148 k
mariadb-errmsg x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 232 k
Installing weak dependencies:
mariadb-backup x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 6.2 M
mariadb-gssapi-server
x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 49 k
mariadb-server-utils
x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 1.6 M

Transaction Summary
================================================================================
Install 9 Packages

Total download size: 43 M
Installed size: 221 M
Is this ok [y/N]: [local@local yum.repos.d]$ sudo yum install MariaDB-server MariaDB-client
Last metadata expiration check: 0:00:46 ago on Sat 05 Oct 2019 06:15:20 AM WIB.
No match for argument: MariaDB-server
* Maybe you meant: mariadb-server
Error: Unable to find a match
Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: [local@local yum.repos.d]$ sudo yum install mariadb-server MariaDB-client
Last metadata expiration check: 0:00:57 ago on Sat 05 Oct 2019 06:15:20 AM WIB.
Dependencies resolved.
================================================================================
Package Arch Version Repository
Size
================================================================================
Installing:
mariadb-server x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 16 M
MariaDB-client x86_64 10.4.8-1.el8 mariadb 12 M
Installing dependencies:
mariadb x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 6.2 M
mariadb-common x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 62 k
mariadb-connector-c
x86_64 3.0.7-1.el8 AppStream 148 k
mariadb-errmsg x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 232 k
Installing weak dependencies:
mariadb-backup x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 6.2 M
mariadb-gssapi-server
x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 49 k
mariadb-server-utils
x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 1.6 M

Transaction Summary
================================================================================
Install 9 Packages

Total download size: 43 M
Installed size: 221 M
Is this ok [y/N]:
Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Is this ok [y/N]: Operation aborted.
[local@local yum.repos.d]$ Transaction Summary
-bash: Transaction: command not found
[local@local yum.repos.d]$ ================================================================================
-bash: ================================================================================: command not found
[local@local yum.repos.d]$ Install 9 Packages
-bash: Install: command not found
[local@local yum.repos.d]$
[local@local yum.repos.d]$ Total download size: 43 M
-bash: Total: command not found
[local@local yum.repos.d]$ Installed size: 221 M
-bash: Installed: command not found
[local@local yum.repos.d]$ Is this ok [y/N]:
-bash: Is: command not found
[local@local yum.repos.d]$ sudo yum install mariadb-server MariaDB-client
Last metadata expiration check: 0:01:56 ago on Sat 05 Oct 2019 06:15:20 AM WIB.
Dependencies resolved.
========================================================================================================================================================================
Package Arch Version Repository Size
========================================================================================================================================================================
Installing:
mariadb-server x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 16 M
MariaDB-client x86_64 10.4.8-1.el8 mariadb 12 M
Installing dependencies:
mariadb x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 6.2 M
mariadb-common x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 62 k
mariadb-connector-c x86_64 3.0.7-1.el8 AppStream 148 k
mariadb-errmsg x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 232 k
Installing weak dependencies:
mariadb-backup x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 6.2 M
mariadb-gssapi-server x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 49 k
mariadb-server-utils x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 1.6 M

Transaction Summary
========================================================================================================================================================================
Install 9 Packages

Total download size: 43 M
Installed size: 221 M
Is this ok [y/N]: y
Downloading Packages:
(1/9): mariadb-common-10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64.rpm 48 kB/s | 62 kB 00:01
(2/9): mariadb-connector-c-3.0.7-1.el8.x86_64.rpm 387 kB/s | 148 kB 00:00
(3/9): mariadb-errmsg-10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64.rpm 380 kB/s | 232 kB 00:00
(4/9): mariadb-gssapi-server-10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64.rpm 409 kB/s | 49 kB 00:00
(5/9): mariadb-backup-10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64.rpm 683 kB/s | 6.2 MB 00:09
(6/9): mariadb-10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64.rpm 665 kB/s | 6.2 MB 00:09
(7/9): mariadb-server-utils-10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64.rpm 937 kB/s | 1.6 MB 00:01
(8/9): mariadb-server-10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64.rpm 829 kB/s | 16 MB 00:20
(9/9): MariaDB-client-10.4.8-1.el8.x86_64.rpm 572 kB/s | 12 MB 00:21
------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total 1.3 MB/s | 43 MB 00:32
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
file /usr/lib64/libmariadb.so.3 from install of mariadb-connector-c-3.0.7-1.el8.x86_64 conflicts with file from package MariaDB-shared-10.4.8-1.el8.x86_64
file /usr/bin/msql2mysql conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysql conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysql_find_rows conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysql_plugin conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysql_waitpid conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysqlaccess conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysqladmin conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysqlbinlog conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysqlcheck conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysqldump conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysqlimport conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysqlshow conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/bin/mysqlslap conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/msql2mysql.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysql.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysql_find_rows.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysql_plugin.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysql_waitpid.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysqlaccess.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysqladmin.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysqlbinlog.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysqlcheck.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysqldump.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysqlimport.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysqlshow.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64
file /usr/share/man/man1/mysqlslap.1.gz conflicts between attempted installs of mariadb-3:10.3.11-2.module_el8.0.0+35+6f2527ed.x86_64 and MariaDB-client-10.4.8-1.el8.x86_64

Error Summary
-------------

[local@local yum.repos.d]$

User avatar
centminmod
Posts: 44
Joined: 2014/07/12 14:28:06
Location: Brisbane, Australia
Contact:

Re: Install MariaDB error ?

Post by centminmod » 2019/10/05 01:30:53

Error you got is what i outlined at viewtopic.php?f=54&t=71881#p302244 mariadb.org yum repo installed has a bug in that mariadb-server/MariaDB-server yum package isn't installable as it seems AppStream native mariadb-server conflicts or replaces it so you install mariadb-server from centos 8 AppStream repo and not from mariadb.org yum repo. I reported bug at https://jira.mariadb.org/browse/MDEV-20673

See from your yum output

Code: Select all

Installing:
mariadb-server x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 16 M
MariaDB-client x86_64 10.4.8-1.el8 mariadb 12 M
Installing dependencies:
mariadb x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 6.2 M
mariadb-common x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 62 k
mariadb-connector-c
x86_64 3.0.7-1.el8 AppStream 148 k
mariadb-errmsg x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 232 k
Installing weak dependencies:
mariadb-backup x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 6.2 M
mariadb-gssapi-server
x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 49 k
mariadb-server-utils
x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 1.6 M
mixing of 2 different mariadb versions from 2 different yum repos for AppStream module based mariadb 10.3 native to centos 8 and mariadb.org yum's 10.4

Code: Select all

Installing:
mariadb-server x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 16 M
MariaDB-client x86_64 10.4.8-1.el8 mariadb 12 M
You can try disabling AppStream default mariadb module and then install mariadb.org based yum packages though for me mariadb-server package ends up missing in that case as outlined at https://jira.mariadb.org/browse/MDEV-20673

what output do you get from this command

Code: Select all

yum -q list MariaDB-* --disablerepo=AppStream| tr -s ' ' | column -t  

User avatar
young_nandy
Posts: 33
Joined: 2019/09/30 01:28:15

Re: Install MariaDB error ?

Post by young_nandy » 2019/10/05 02:13:40

centminmod wrote:
2019/10/05 01:30:53
Error you got is what i outlined at viewtopic.php?f=54&t=71881#p302244 mariadb.org yum repo installed has a bug in that mariadb-server/MariaDB-server yum package isn't installable as it seems AppStream native mariadb-server conflicts or replaces it so you install mariadb-server from centos 8 AppStream repo and not from mariadb.org yum repo. I reported bug at https://jira.mariadb.org/browse/MDEV-20673

See from your yum output

Code: Select all

Installing:
mariadb-server x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 16 M
MariaDB-client x86_64 10.4.8-1.el8 mariadb 12 M
Installing dependencies:
mariadb x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 6.2 M
mariadb-common x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 62 k
mariadb-connector-c
x86_64 3.0.7-1.el8 AppStream 148 k
mariadb-errmsg x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 232 k
Installing weak dependencies:
mariadb-backup x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 6.2 M
mariadb-gssapi-server
x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 49 k
mariadb-server-utils
x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 1.6 M
mixing of 2 different mariadb versions from 2 different yum repos for AppStream module based mariadb 10.3 native to centos 8 and mariadb.org yum's 10.4

Code: Select all

Installing:
mariadb-server x86_64 3:10.3.11-2.module_el8.0.0+35+6f2527ed AppStream 16 M
MariaDB-client x86_64 10.4.8-1.el8 mariadb 12 M
You can try disabling AppStream default mariadb module and then install mariadb.org based yum packages though for me mariadb-server package ends up missing in that case as outlined at https://jira.mariadb.org/browse/MDEV-20673

what output do you get from this command

Code: Select all

yum -q list MariaDB-* --disablerepo=AppStream| tr -s ' ' | column -t  

thank you for the idea. now I can install MariaDB with the following script

Code: Select all

yum install MariaDB-server MariaDB-client --disablerepo=AppStream

User avatar
centminmod
Posts: 44
Joined: 2014/07/12 14:28:06
Location: Brisbane, Australia
Contact:

Re: Install MariaDB error ?

Post by centminmod » 2019/10/05 02:22:38

young_nandy wrote:
2019/10/05 02:13:40
thank you for the idea. now I can install MariaDB with the following script

Code: Select all

yum install MariaDB-server MariaDB-client --disablerepo=AppStream
yeah that works the bug i mentioned though is if you disable AppStream module mariadb, the MariaDB-server package is missing but if you pass on command line disablerepo=AppStream, MariaDB-server package shows up

problem will be when you do yum updates as AppStream mariadb version is mixed in right now

Post Reply

Return to “CentOS 8 - General Support”